profile/forward_list File Reference

Go to the source code of this file.

## Classes

class | std::__profile::forward_list< _Tp, _Alloc >

## Namespaces

| std
| std::__profile

## Macros

#define | _GLIBCXX_PROFILE_FORWARD_LIST

## Functions

template<typename _Tp , typename _Alloc >
bool | std::__profile::operator!= (const forward_list< _Tp, _Alloc > &__lx, const forward_list< _Tp, _Alloc > &__ly)
template<typename _Tp , typename _Alloc >
bool | std::__profile::operator< (const forward_list< _Tp, _Alloc > &__lx, const forward_list< _Tp, _Alloc > &__ly)
template<typename _Tp , typename _Alloc >
bool | std::__profile::operator<= (const forward_list< _Tp, _Alloc > &__lx, const forward_list< _Tp, _Alloc > &__ly)
template<typename _Tp , typename _Alloc >
bool | std::__profile::operator== (const forward_list< _Tp, _Alloc > &__lx, const forward_list< _Tp, _Alloc > &__ly)
template<typename _Tp , typename _Alloc >
bool | std::__profile::operator> (const forward_list< _Tp, _Alloc > &__lx, const forward_list< _Tp, _Alloc > &__ly)
template<typename _Tp , typename _Alloc >
bool | std::__profile::operator>= (const forward_list< _Tp, _Alloc > &__lx, const forward_list< _Tp, _Alloc > &__ly)
template<typename _Tp , typename _Alloc >
void | std::__profile::swap (forward_list< _Tp, _Alloc > &__lx, forward_list< _Tp, _Alloc > &__ly)

## Detailed Description

This file is a GNU debug extension to the Standard C++ Library.

Definition in file profile/forward_list.